Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.scheduling.hibernate
Class PersistentReportJob

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.scheduling.hibernate.PersistentReportJob

    public class PersistentReportJob

extends java.lang.Object

Version:
  $Id: PersistentReportJob.java 9820 2007-08-29 17:46:14Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`PersistentReportJob()`

Method Summary
`void` | `cascadeSave(org.springframework.orm.hibernate3.HibernateTemplate hibernateTemplate)`
`protected void` | `copyContentRepostoryDestination(ReportJob job)`
`void` | `copyFrom(ReportJob job, org.springframework.orm.hibernate3.HibernateTemplate hibernateTemplate)`
`protected void` | `copyMailNotification(ReportJob job, org.springframework.orm.hibernate3.HibernateTemplate hibernateTemplate)`
`protected void` | `copySource(ReportJob job)`
`protected void` | `copyTrigger(ReportJob job, org.springframework.orm.hibernate3.HibernateTemplate hibernateTemplate)`
`void` | `delete(org.springframework.orm.hibernate3.HibernateTemplate hibernateTemplate)`
`java.lang.String` | `getBaseOutputFilename()`
`PersistentReportJobRepositoryDestination` | `getContentRepositoryDestination()`
`java.lang.String` | `getDescription()`
`long` | `getId()`
`java.lang.String` | `getLabel()`
`PersistentReportJobMailNotification` | `getMailNotification()`
`java.util.Set` | `getOutputFormats()`
`java.lang.String` | `getOutputLocale()`
`PersistentReportJobSource` | `getSource()`
`PersistentReportJobTrigger` | `getTrigger()`
`java.lang.String` | `getUsername()`
`int` | `getVersion()`
`boolean` | `isNew()`
`void` | `setBaseOutputFilename(java.lang.String baseOutputFilename)`
`void` | `setContentRepositoryDestination(PersistentReportJobRepositoryDestination contentRepositoryDestination)`
`void` | `setDescription(java.lang.String description)`
`void` | `setId(long id)`
`void` | `setLabel(java.lang.String label)`
`void` | `setMailNotification(PersistentReportJobMailNotification mailNotification)`
`void` | `setOutputFormats(java.util.Set outputFormats)`
`void` | `setOutputLocale(java.lang.String outputLocale)`
`void` | `setSource(PersistentReportJobSource source)`
`void` | `setTrigger(PersistentReportJobTrigger trigger)`
`void` | `setUsername(java.lang.String username)`
`void` | `setVersion(int version)`
`ReportJob` | `toClient()`
`ReportJobSummary` | `toSummary()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistentReportJob

    public PersistentReportJob()

Method Detail

### getId

    public long getId()

### setId

    public void setId(long id)

### getVersion

    public int getVersion()

### setVersion

    public void setVersion(int version)

### getSource

    public PersistentReportJobSource getSource()

### setSource

    public void setSource(PersistentReportJobSource source)

### getTrigger

    public PersistentReportJobTrigger getTrigger()

### setTrigger

    public void setTrigger(PersistentReportJobTrigger trigger)

### getMailNotification

    public PersistentReportJobMailNotification getMailNotification()

### setMailNotification

    public void setMailNotification(PersistentReportJobMailNotification mailNotification)

### copyFrom

    public void copyFrom(ReportJob job,
                         org.springframework.orm.hibernate3.HibernateTemplate hibernateTemplate)

### copySource

    protected void copySource(ReportJob job)

### copyTrigger

    protected void copyTrigger(ReportJob job,
                               org.springframework.orm.hibernate3.HibernateTemplate hibernateTemplate)

### copyContentRepostoryDestination

    protected void copyContentRepostoryDestination(ReportJob job)

### copyMailNotification

    protected void copyMailNotification(ReportJob job,
                                        org.springframework.orm.hibernate3.HibernateTemplate hibernateTemplate)

### toClient

    public ReportJob toClient()

### toSummary

    public ReportJobSummary toSummary()

### getContentRepositoryDestination

    public PersistentReportJobRepositoryDestination getContentRepositoryDestination()

### setContentRepositoryDestination

    public void setContentRepositoryDestination(PersistentReportJobRepositoryDestination contentRepositoryDestination)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getLabel

    public java.lang.String getLabel()

### setLabel

    public void setLabel(java.lang.String label)

### getBaseOutputFilename

    public java.lang.String getBaseOutputFilename()

### setBaseOutputFilename

    public void setBaseOutputFilename(java.lang.String baseOutputFilename)

### getOutputFormats

    public java.util.Set getOutputFormats()

### setOutputFormats

    public void setOutputFormats(java.util.Set outputFormats)

### isNew

    public boolean isNew()

### cascadeSave

    public void cascadeSave(org.springframework.orm.hibernate3.HibernateTemplate hibernateTemplate)

### delete

    public void delete(org.springframework.orm.hibernate3.HibernateTemplate hibernateTemplate)

### getUsername

    public java.lang.String getUsername()

### setUsername

    public void setUsername(java.lang.String username)

### getOutputLocale

    public java.lang.String getOutputLocale()

### setOutputLocale

    public void setOutputLocale(java.lang.String outputLocale)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.